connection.hpp File Reference
`#include <restinio/asio_include.hpp>`
`#include <http_parser.h>`
`#include <restinio/impl/include_fmtlib.hpp>`
`#include <restinio/exception.hpp>`
`#include <restinio/http_headers.hpp>`
`#include <restinio/request_handler.hpp>`
`#include <restinio/connection_count_limiter.hpp>`
`#include <restinio/impl/connection_base.hpp>`
`#include <restinio/impl/header_helpers.hpp>`
`#include <restinio/impl/response_coordinator.hpp>`
`#include <restinio/impl/connection_settings.hpp>`
`#include <restinio/impl/fixed_buffer.hpp>`
`#include <restinio/impl/write_group_output_ctx.hpp>`
`#include <restinio/impl/executor_wrapper.hpp>`
`#include <restinio/impl/sendfile_operation.hpp>`
`#include <restinio/utils/impl/safe_uint_truncate.hpp>`
`#include <restinio/utils/at_scope_exit.hpp>`
`#include "parser_callbacks.ipp"`

Go to the source code of this file.

## Classes

struct | restinio::impl::http_parser_ctx_t
| Parsing result context for using in parser callbacks. More...
struct | restinio::impl::connection_input_t
| Data associated with connection read routine. More...
class | restinio::impl::connection_t< Traits >
| Context for handling http connections. More...
struct | restinio::impl::connection_t< Traits >::upgrade_internals_t
| Internals that are necessary for upgrade. More...
class | restinio::impl::connection_factory_t< Traits >
| Factory for connections. More...

## Namespaces

namespace | restinio
namespace | restinio::impl

## Enumerations

enum class | restinio::impl::connection_upgrade_stage_t : std::uint8_t { restinio::impl::none , restinio::impl::pending_upgrade_handling , restinio::impl::wait_for_upgrade_handling_result_or_nothing }
| Enum for a flag specifying that connection is going to upgrade or not. More...

## Functions

template<typename Http_Methods >
http_parser_settings | restinio::impl::create_parser_settings () noexcept
| Include parser callbacks. More...
template<typename Connection , typename Start_Read_CB , typename Failed_CB >
void | restinio::impl::prepare_connection_and_start_read (asio_ns::ip::tcp::socket &, Connection &, Start_Read_CB start_read_cb, Failed_CB)
tls_socket_t * | restinio::impl::make_tls_socket_pointer_for_state_listener (asio_ns::ip::tcp::socket &) noexcept